# April 22nd

**Changelog released on 2026-04-22**

This update introduces support for custom Excel templates for exports and enhanced API error code handling. Key fixes address issues with distribution fields in chart widgets, Rich Text Editor field rendering, PDF generation, dashboard widget resizing, drag-and-drop uploads, and global list handling. Additionally, improvements ensure correct table column layout, proper handling of fixed values in file templates, and correct permission control for rollback actions.

## Enhancement

1. **Add detailed error code handling for API client:** A custom delegatingHandler can be supplied to the StructApiClient. Through this all statuscodes returned from API is available. (SP-2249)
2. **Users can remove interpolated parts of locked field:** User can now remove interpolated parts of locked fields when editing an app. (SP-2406)

## Bug

1. **Deleting identifier referenced in a business rule can cause errors:** It is no longer possible to delete an identifier if one of its created fieldUids is referenced in a business rule. (SP-2387)
2. **Cannot upload through drag and drop on assetReferenceAttributes with no limit to asset types set:** Drag and drop upload now functions correctly when to “Limit to specific asset types“ has been set. (SP-2400)
3. **External exporter not taking up enough height:** Fixed issue with external export no taking up enough height. (SP-2422)
4. **"Click to insert here" not possible if positioned above current #1:** It is now possible to insert elements at the top position correctly. (SP-2423)
5. **Invite to organization email link wrong protocol locally:** Invitation links now use the correct protocol in local environments. (SP-2437)
6. **Widgets can not be resized when editing a shared dashboard through the dashboard tab if the dashboard was initially empty:** Editing a shared dashboard through the dashboard tab would render the newly added widgets unresizable if the dashboard was initially empty. (SP-2439)
7. **Chosen and selectable options in 'Distribution field' do not render correctly when editing a chart widget and entity type is 'global list':** When editing a chart widget the selectable distribution fields are not loaded correctly. (SP-2442)
8. **Global list in global list results in error:** Nested global lists no longer cause errors when missing folder path. (SP-2446)
9. **Fix bad flow on table columns if not enough for full width:** Table columns are not using all available width when less than 6-7. (SP-2448)
10. **File template, fixed value not working:** Fixed values in file templates now work as expected with fixed value. (SP-2451)
11. **Add action missing after paste/copy used on Business rule:** Add action now displayed correctly after using paste/cut. (SP-2452)
12. **PDF of a certain size could result in invalid PDF:** Fixed error with invalid PDF due to file size. (SP-2453)
13. **Rich-text-editor fields are not rendering for some users:** Rich-text-editor fields would not render correctly for certain users. Rich-text-editor fields should now render correctly for everyone. (SP-2454)
14. **Selecting global list in distribution chart triggers error:** Selecting a global list in distribution chart no longer causes errors. (SP-2456)

## Task

1. **Custom excel template for export (File templates):** Add the option for users to upload custom excel templates to be used for template exports. (SP-1569)
2. **Add 'default columns' setting to Global list API endpoints:** Added 'default columns' setting to Global list API endpoints. (SP-2210)
3. **Cache needs to be cleared for a change in backoffice separator on a Global list value reference attribute to take effect in a Concatenate action in Business rule:** Cache no longer needs to be cleared for change in backoffice separator on a global list value reference attribute to take effect in a Concatenate action in a business rule. (SP-2396)
4. **Inform of entity export limit using excel:** Using excel export is limited to 1048000 rows. Warning is displayed if above limit. (SP-2401)
5. **Prevent user from perfoming rollback through 'System changelog' if they do not have permission to rollback:** Users can no longer rollback changes in 'System changelog' without permission. (SP-2444)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/changelog/april-2026/april-22nd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
